## visad
Class IdentityCoordinateSystem

    java.lang.Object
      visad.CoordinateSystem
          visad.IdentityCoordinateSystem

All Implemented Interfaces:
  Serializable

public class IdentityCoordinateSystem
extends CoordinateSystem

A CoordinateSystem that will return the input values when `toReference()` and `fromReference()` are called. Useful in constructing `CartesianProductCoordinateSystem`s.

See Also:
  `CartesianProductCoordinateSystem`, Serialized Form

Constructor Summary
`IdentityCoordinateSystem(RealTupleType type)` Construct a new `IdentityCoordinateSystem` for values of the type specified.
`IdentityCoordinateSystem(RealTupleType type, Unit[] units)` Construct a new `IdentityCoordinateSystem` for values of the type specified.

Method Summary
`boolean` `equals(Object o)` Check to see if the object in question is equal to this.
`double[][]` `fromReference(double[][] values)` Simple implementation of abstract method.
`float[][]` `fromReference(float[][] values)` Simple implementation of abstract method.
`double[][]` `toReference(double[][] values)` Simple implementation of abstract method.
`float[][]` `toReference(float[][] values)` Simple implementation of abstract method.

Methods inherited from class visad.CoordinateSystem
`canConvert, fromReference, fromReference, getCoordinateSystemUnits, getDimension, getReference, getReferenceUnits, toReference, toReference, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinatesFreeUnits, transformCoordinatesFreeUnits`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityCoordinateSystem

    public IdentityCoordinateSystem(RealTupleType type)
                             throws VisADException

  Construct a new `IdentityCoordinateSystem` for values of the type specified.

Parameters:
  `type` - type of the values

### IdentityCoordinateSystem

    public IdentityCoordinateSystem(RealTupleType type,
                                    Unit[] units)
                             throws VisADException

  Construct a new `IdentityCoordinateSystem` for values of the type specified.

Parameters:
  `type` - type of the values

Method Detail

### fromReference

    public double[][] fromReference(double[][] values)
                             throws VisADException

  Simple implementation of abstract method. Returns the input values.

  Specified by:
    `fromReference` in class `CoordinateSystem`
  Parameters:
    `values` - input values
  Returns:
    values
  Throws:
    `VisADException` - values are null or wrong dimension

### toReference

    public double[][] toReference(double[][] values)
                           throws VisADException

  Simple implementation of abstract method. Returns the input values.

  Specified by:
    `toReference` in class `CoordinateSystem`
  Parameters:
    `values` - input values
  Returns:
    values
  Throws:
    `VisADException` - values are null or wrong dimension

### fromReference

    public float[][] fromReference(float[][] values)
                            throws VisADException

  Simple implementation of abstract method. Returns the input values.

  Overrides:
    `fromReference` in class `CoordinateSystem`
  Parameters:
    `values` - input values
  Returns:
    values
  Throws:
    `VisADException` - values are null or wrong dimension

### toReference

    public float[][] toReference(float[][] values)
                          throws VisADException

  Simple implementation of abstract method. Returns the input values.

  Overrides:
    `toReference` in class `CoordinateSystem`
  Parameters:
    `values` - input values
  Returns:
    values
  Throws:
    `VisADException` - values are null or wrong dimension

### equals

    public boolean equals(Object o)

  Check to see if the object in question is equal to this.

  Specified by:
    `equals` in class `CoordinateSystem`
  Parameters:
    `o` - object in question
  Returns:
    true if they are equal, otherwise false.